Bug 802007 - [abrt] kernel: [149533.454764] WARNING: at lib/kref.c:34 kref_get+0x2d/0x30()
[abrt] kernel: [149533.454764] WARNING: at lib/kref.c:34 kref_get+0x2d/0x30()
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:a3068c04eb40ff016c31c14b1b3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 03:14 EST by Pierre-Antoine Roiron
Modified: 2012-05-14 13:16 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-14 13:16:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pierre-Antoine Roiron 2012-03-10 03:14:24 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.9-1.fc16.x86_64 root=/dev/mapper/vg_thinkpad-lv_root ro rd.md=0 rd.dm=0 quiet rd.lvm.lv=vg_thinkpad/lv_swap rhgb rd.lvm.lv=vg_thinkpad/lv_root rd.luks=0 KEYTABLE=fr SYSFONT=latarcyrheb-sun16 LANG=fr_FR.UTF-8
comment:        Waking up from hibernate state.
kernel:         3.454766]
reason:         [149533.454764] WARNING: at lib/kref.c:34 kref_get+0x2d/0x30()
time:           ven. 09 mars 2012 23:02:46 CET

backtrace:
:[149533.454764] WARNING: at lib/kref.c:34 kref_get+0x2d/0x30()
:[149533.454765] Hardware name: 0301GXG
:[149533.454766] Modules linked in: binfmt_misc tcp_lp fuse ebtable_nat ebtables ppdev parport_pc lp parport ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge 8021q fcoe libfcoe libfc scsi_transport_fc scsi_tgt lockd garp stp llc rfcomm bnep ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ip6_tables snd_hda_codec_hdmi snd_hda_codec_realtek vhost_net snd_hda_intel snd_hda_codec snd_hwdep arc4 usblp uvcvideo macvtap macvlan r8169 snd_seq snd_seq_device videodev media tun iwlwifi virtio_net mii mac80211 snd_pcm kvm_intel btusb thinkpad_acpi kvm snd_timer joydev uinput iTCO_wdt iTCO_vendor_support intel_ips v4l2_compat_ioctl32 bluetooth cfg80211 snd snd_page_alloc sunrpc rfkill microcode serio_raw i2c_i801 soundcore ums_realtek usb_storage i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:[149533.454817] Pid: 6620, comm: pm-suspend Not tainted 3.2.9-1.fc16.x86_64 #1
:[149533.454822] Call Trace:
:[149533.454830]  [<ffffffff8106e53f>] warn_slowpath_common+0x7f/0xc0
:[149533.454835]  [<ffffffff8138f8c0>] ? put_device+0x20/0x20
:[149533.454838]  [<ffffffff8106e59a>] warn_slowpath_null+0x1a/0x20
:[149533.454840]  [<ffffffff812ba67d>] kref_get+0x2d/0x30
:[149533.454845]  [<ffffffff815bf6fc>] klist_next+0x7c/0xf0
:[149533.454849]  [<ffffffff8139a9a0>] ? device_pm_wait_for_dev+0x30/0x30
:[149533.454852]  [<ffffffff8138fc50>] device_for_each_child+0x50/0x70
:[149533.454855]  [<ffffffff8139aed9>] __device_suspend+0x39/0x2f0
:[149533.454857]  [<ffffffff8139c6c8>] dpm_suspend+0x58/0x220
:[149533.454859]  [<ffffffff8139cba7>] dpm_suspend_start+0x57/0x60
:[149533.454864]  [<ffffffff810afb1f>] suspend_devices_and_enter+0x6f/0x300
:[149533.454867]  [<ffffffff810aff2e>] enter_state+0x17e/0x1c0
:[149533.454869]  [<ffffffff810ae8c7>] state_store+0xb7/0x130
:[149533.454871]  [<ffffffff812b8a3f>] kobj_attr_store+0xf/0x30
:[149533.454876]  [<ffffffff811eacff>] sysfs_write_file+0xef/0x170
:[149533.454881]  [<ffffffff811798b3>] vfs_write+0xb3/0x180
:[149533.454883]  [<ffffffff81179bda>] sys_write+0x4a/0x90
:[149533.454888]  [<ffffffff815eaac2>] system_call_fastpath+0x16/0x1b

smolt_data:
:
:
:Général
:=================================
:UUID: 7e134ac2-e5b2-41c3-b037-6700af223787
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 5053.99
:Fabricant du processeurs: GenuineIntel
:Modèle de processeur: Intel(R) Core(TM) i3 CPU       M 380  @ 2.53GHz
:Stepping du processeur: 5
:Famille de processeur: 6
:Modèle du processeur: 37
:Nombre de processeurs: 4
:Vitesse du processeur: 2533
:Mémoire du système: 3754
:Swap du système: 5791
:Fabricant: LENOVO
:Système: 0301GXG ThinkPad Edge
:Type d'ordinateur: Notebook
:Noyau: 3.2.9-1.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(32902:11362:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:6058:8598) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:6058:8579) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:11536:6058:8598) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:6058:8598) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11538:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11539:6058:8598) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:6058:8551) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6058:8552) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6058:8550) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:8592) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(4332:33128:6058:8497) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:9288:6058:8549) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:8547) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:(32902:70:6058:8538) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:8542) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15180:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:15174:6058:8548) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_thinkpad-lv_root / ext4 4096 4096 13092026 9194169 9063147 3276800 3117679 3117679
:/dev/sda1 /boot ext4 1024 1024 508745 409390 383790 128016 127737 127737
:/dev/mapper/vg_thinkpad-lv_home /home ext4 4096 4096 107255458 85125380 79756753 26845184 26802687 26802687
:
Comment 1 Dave Jones 2012-03-12 16:37:12 EDT
I suspect this is another case of the i915/hibernate memory corruption problem, or we'd be seeing more reports of this trace.
Comment 2 Dave Jones 2012-03-22 12:51:29 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 3 Dave Jones 2012-03-22 12:55:39 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 4 Dave Jones 2012-03-22 13:06:26 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.

Note You need to log in before you can comment on or make changes to this bug.